Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc.xml
Class SVNXMLAnnotateHandler

    java.lang.Object
      org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
          org.tmatesoft.svn.core.wc.xml.SVNXMLAnnotateHandler

All Implemented Interfaces:
  ISVNAnnotateHandler

public class SVNXMLAnnotateHandler
extends AbstractXMLHandler
implements ISVNAnnotateHandler

This is an implementation of the ISVNAnnotateHandler interface that writes XML formatted annotation information to a specified ContentHandler.

Version:
  1.0
Author:
  TMate Software Ltd.

Field Summary
`static String` | `AUTHOR_TAG`
`static String` | `BLAME_TAG`
`static String` | `COMMIT_TAG`
`static String` | `DATE_TAG`
`static String` | `ENTRY_TAG`
`static String` | `LINE_NUMBER_TAG`
`static String` | `PATH_ATTR`
`static String` | `REVISION_ATTR`
`static String` | `TARGET_TAG`

Constructor Summary
`SVNXMLAnnotateHandler(ContentHandler contentHandler)` Creates a new annotation handler.

Method Summary
`void` | `endTarget()` Closes the formatted XML.
`protected String` | `getHeaderName()`
`void` | `handleLine(Date date, long revision, String author, String line)` Handles per line annotation information - that is information about who last committed (changed) this line, the revision and timestamp when it was last committed.
`void` | `startTarget(String pathOrURL)` Begins an XML tree with the target path/URL for which annotating is run.

Methods inherited from class org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
`addAttribute, addTag, closeTag, endDocument, openTag, startDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATH_ATTR

    public static final String PATH_ATTR

See Also:
  Constant Field Values

### REVISION_ATTR

    public static final String REVISION_ATTR

See Also:
  Constant Field Values

### DATE_TAG

    public static final String DATE_TAG

See Also:
  Constant Field Values

### AUTHOR_TAG

    public static final String AUTHOR_TAG

See Also:
  Constant Field Values

### COMMIT_TAG

    public static final String COMMIT_TAG

See Also:
  Constant Field Values

### ENTRY_TAG

    public static final String ENTRY_TAG

See Also:
  Constant Field Values

### LINE_NUMBER_TAG

    public static final String LINE_NUMBER_TAG

See Also:
  Constant Field Values

### TARGET_TAG

    public static final String TARGET_TAG

See Also:
  Constant Field Values

### BLAME_TAG

    public static final String BLAME_TAG

See Also:
  Constant Field Values

Constructor Detail

### SVNXMLAnnotateHandler

    public SVNXMLAnnotateHandler(ContentHandler contentHandler)

  Creates a new annotation handler.

Parameters:
  `contentHandler` - a ContentHandler to form an XML tree

Method Detail

### getHeaderName

    protected String getHeaderName()

  Specified by:
    `getHeaderName` in class `AbstractXMLHandler`

### startTarget

    public void startTarget(String pathOrURL)

  Begins an XML tree with the target path/URL for which annotating is run.

  Parameters:
    `pathOrURL` - a target file WC path or URL

### endTarget

    public void endTarget()

  Closes the formatted XML.

### handleLine

    public void handleLine(Date date,
                           long revision,
                           String author,
                           String line)
                    throws SVNException

  Description copied from interface: `ISVNAnnotateHandler`
  Handles per line annotation information - that is information about who last committed (changed) this line, the revision and timestamp when it was last committed.

  Specified by:
    `handleLine` in interface `ISVNAnnotateHandler`
  Parameters:
    `date` - the time moment when changes to `line` were commited to the repository
    `revision` - the revision the changes were commited to
    `author` - the person who did those changes
    `line` - a text line of the target file (on which `doAnnotate()` was invoked)
  Throws:
    `SVNException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.